Mailinglist Archive: opensuse-bugs (13042 mails)

< Previous Next >
[Bug 465114] Google Earth will not install/run in openSUSE 11. 1 using the radeonhd driver
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sat, 10 Jan 2009 07:47:12 -0700 (MST)
  • Message-id: <20090110144712.BFE87245390@xxxxxxxxxxxxxxxxxxxxxx>
https://bugzilla.novell.com/show_bug.cgi?id=465114

User sndirsch@xxxxxxxxxx added comment
https://bugzilla.novell.com/show_bug.cgi?id=465114#c1





--- Comment #1 from Stefan Dirsch <sndirsch@xxxxxxxxxx> 2009-01-10 07:47:11
MST ---
(In reply to comment #0 from Keith Goggin)
Google Earth does not install properly on openSUSE 11.1 and generates the
following error:-
"./googleearth-bin: error while loading shared libraries: libGL.so.1: cannot
open shared object file: No such file or directory"

Looks like you don't have Mesa-32bit installed. For radeonhd driver you need to
have

Option "DRI"

in 'Section "Device"' of your /etc/X11/xorg.conf. It's not our default, since
we only support it on R500 cards (Radeon 1xxxx) and even on these it's still
considered experimental. For GoogleEarth you need to add

<device screen="0" driver="r300">
<application name="Default">
<option name="vblank_mode" value="0" />
<option name="force_s3tc_enable" value="false" />
<option name="disable_lowimpact_fallback" value="true" />
</application>
</device>

to /etc/drirc. The latter is fixed for SLE11 (>= RC2).

Note I will submit a separate bug report for a problem I had installing the
fglrx driver.

Probably a known issue. See Bug #465051


--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >
References